<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Semester</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <a href="/semester_details"><h4 class="tx-gray-800 mg-b-5" align="right">Manage Semester Details</h4></a>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <h4 class="tx-gray-800 mg-b-5">Semester</h4>
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
          <div class="row mg-b-25">
            <div class="col-lg-6">
              <div class="form-group">
             <label class="form-control-label">Choose Degree: <span class="tx-danger">*</span></label>


             <select style="width: 400px;height: 40px;" name="degree_id">
              <option value="">--Please Select--</option>
             <% degree.forEach(function(degree,index){ %>
               <option value="<%= degree.id %>"><%= degree.college.name %>-<%= degree.name %></option>
              <% }); %>

             </select>

              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Semester name: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="name"
                  placeholder="Enter Semester name"
                />
              </div>
            </div>
            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        



        <%-include('./shared/scripts.ejs')%>

<script>
  $("#mainForm").validate({
    normalizer: function (value) {
      return $.trim(value);
    },
    rules: {
      name: {
        required: true,
      },
      degree_id:{
        required: true,
      },
    },
    messages: {
      degree_id: {
        required: "Degree  is required",
      },
      name: {
        required: "Semester is required",
      },
    },
    submitHandler: function (form) {
      $("button").prop("disabled", "disabled");
      var form = document.getElementById("mainForm");
       var data = new FormData(form);
       //console.log(data);exit();
      $.ajax({
        type: "POST",
        url: "/semester_register",
        data: $(form).serialize(),
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (data) {
          if (data.status == 1) {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          } else {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          }
          $("button").prop("disabled", false);
        },
        error: function (err) {
          $("button").prop("disabled", false);
        },
      });
      return false;
    },
  });
</script>

<%-include('./shared/footer.ejs')%>



